/* Fuente gelbética en negritas para todos los elementos */
.titulo-suscripcion, .newsletter-container, .suscripcion-rojo, .suscripcion-rojo input[type="text"], .subscribe-form h3, #newsletterForm, #newsletterForm input[type="text"], #newsletterForm input[type="email"], .select-all-container, .currency-selection, .currency, #newsletterForm button, #message, .logout-button, input::placeholder {
    font-family: 'Gelvetica', sans-serif;
    font-weight: bold;
}

.titulo-suscripcion {
    text-align: left;
    margin-top: -25px;
    margin-bottom: -20px;
    color: #e0e0e0;
}

.newsletter-container {
    margin: 0 auto;
    padding: 21px;
    background-color: #1a1a1a;
    color: #e0e0e0;
    position: relative;
    max-width: 500px;
}

.newsletter-container p {
    text-align: left;
    margin-top: 6px;
    margin-bottom: 6px;
    color: #e0e0e0;
}

.suscripcion-rojo {
    background: #333;
    border-radius: 8px;
    margin: 4px 0;
    padding: 5px;
    width: 100%;
    box-sizing: border-box;
}

.suscripcion-rojo input[type="text"] {
    width: calc(100% - 20px);
    padding: 8px;
    margin: 0;
    border: none;
    border-bottom: 2px solid #e0e0e0;
    border-radius: 0;
    background: transparent;
    color: #e0e0e0;
}

.subscribe-form h3 {
    text-align: center;
    color: #e0e0e0;
    margin: 0;
}

#newsletterForm {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 5px;
}

#newsletterForm input[type="text"],
#newsletterForm input[type="email"] {
    width: 90%;
    padding: 8px;
    margin: 5px 0;
    border: none;
    border-bottom: 2px solid #e0e0e0;
    border-radius: 0;
    background: #333;
    color: #e0e0e0;
}

.select-all-container {
    margin: 5px 0;
    text-align: center;
    color: #e0e0e0;
}


.select-all-container input[type="checkbox"] {
    margin-right: 5px;
}

.currency-selection {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin: 0px 0;
}

.currency {
    margin: 0 5px;
    cursor: pointer;
}

.currency img {
    width: 100px;
    height: 100px;
    border: 2px solid transparent;
    border-radius: 4px;
    transition: border 0.3s;
}

.currency.selected img {
    border-color: #e0e0e0;
}

#newsletterForm button {
    padding: 8px 16px;
    border: none;
    background: #004d40;
    color: #e0e0e0;
    border-radius: 4px;
    cursor: pointer;
    margin-top: 0px;
}

#newsletterForm button:hover {
    background: #00594d;
}

#message {
    margin-top: 5px;
    color: #e74c3c;
    text-align: center;
}

/* Estilos para el botón de salir de sesión */
.logout-button {
    position: absolute;
    top: 10px;
    right: 10px;
    background-color: #e74c3c;
    color: white;
    border: none;
    padding: 8px 16px;
    border-radius: 4px;
    cursor: pointer;
}

.logout-button:hover {
    background-color: #c0392b;
}

/* COLOR PARA LOS INPUTS */
input::placeholder {
    color: #e0e0e0;
}

/* Estilos para el panel flotante */
#overlay_2 {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.7);
    display: none;
    z-index: 1000;
}


#showSubscriptionPanel img {
    margin-right: 8px;
}


#toggleConversionButton img {
    width: 50px;
    height: auto;
}

.currency p{
    text-align: center;
}